Subject: Re: [manet] #51 (nhdp-optimization): Analysis of OLSRv2/NHDP-optimized Handling neighbor connection with link quality change

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 5 Sep 2014 20:03:55 +0200

On Thursday, August 14, 2014, Dearlove, Christopher (UK) wrote:

>  The flaws in your analysis have been pointed out several times. I’m not
> going to repeat them.
>
>
>
>
You made today an important change and revision to the draft. Thanks for
changes to the flaw in the draft. I will do another analysis to see if
there is no more.

AB

> --
>
> Christopher Dearlove
>
> Senior Principal Engineer, Information Assurance Group
> Communications, Networks and Image Analysis Capability
> BAE Systems Advanced Technology Centre
> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Tel: +44 1245 242194 |  Fax: +44 1245 242124
>
> [email-masked]
> <javascript:_e(%7B%7D,'cvml',[email-masked]');> |
> http://www.baesystems.com
>
> BAE Systems (Operations) Limited
> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre,
> Farnborough, Hants, GU14 6YU, UK
> Registered in England & Wales No: 1996687
>
>
>
> *From:* Abdussalam Baryun [mailto:[email-masked]
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>]
> *Sent:* 14 August 2014 06:27
> *To:* Dearlove, Christopher (UK)
> *Cc:* Thomas Clausen; Christopher Dearlove; [email-masked]
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>
> *Subject:* [manet] #51 (nhdp-optimization): Analysis of
> OLSRv2/NHDP-optimized Handling neighbor connection with link quality change
>
>
>
> WG to analyse the packet loss problem for this optimization. All MANETs
> have packet lost but the proposed optimized routers need to avoid its
> possible increase.
>
> On Monday, August 11, 2014, Dearlove, Christopher (UK) wrote:
>
> There is no need (or even advantage) to change (amending suggests a
> problem, which there isn’t) the draft based on anything you have posted.
>
> You did not analyse by saying no need or isn't a problem. IMHO there is
> the packet loss problem because router A when recovered it considers C as
> reached through B but B has the link B-C as lost. The optimization
> improves packet delay issues but increases packet loss or decreases
> average delivery rate for the MANET that has many optimiz-routers.
>
>
>
> There isn’t even anything that could be changed because, and let’s say it
> again, link quality information is not communicated.
>
>  This draft has no update to nhdp's information
> exchange communication, and I did not mention communication. The
> performance difference between normal router and optimize-router is within
> packet-delay and packet-loss. However, the draft gives the opportunity
> that each optimize-router may change its link information which may loose
> consistency with its neighbours' information, so packets can get lost with
> higher possibility. I will look into the draft's update
> of nhdp/olsv2 algorithm and see if I can solve the issue without
> communicating any info.
>
>
>
> AB
>
>
>
> ********************************************************************
> This email and any attachments are confidential to the intended
> recipient and may also be privileged. If you are not the intended
> recipient please delete it from your system and notify the sender.
> You should not copy it or use it for any purpose nor disclose or
> distribute its contents to any other person.
> ********************************************************************
>